%define Werror_cflags %nil

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Disk management daemon
Name:		gnome-disk-utility
Version:	3.6.1
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Configuration
URL:		http://git.gnome.org/cgit/gnome-disk-utility
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.5.8
BuildRequires:	pkgconfig(libsecret-1) >= 0.7
BuildRequires:	pkgconfig(libsystemd-login) >= 44
BuildRequires:	pkgconfig(udisks2) >= 1.99.0
BuildRequires:	pkgconfig(pwquality) >= 1.0.0
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
Requires:	polkit-agent
Requires:	udisks2 >= 1.90
Obsoletes:	palimpsest < 3.0.0

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-compile-warnings=no \
        --disable-static
%make

%install
%makeinstall_std

#fix desktop files
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS NEWS 
%{_bindir}/gnome-disk-image-mounter
%{_bindir}/gnome-disks
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_datadir}/%{name}/
%{_datadir}/applications/gnome-disk-image-mounter.desktop
%{_datadir}/applications/gnome-disks.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/gnome-disk-image-mounter.1.*
%{_mandir}/man1/gnome-disks.1.*


%changelog

* Wed Jan 23 2013 fwang <fwang> 3.6.1-3.mga3
+ Revision: 391451
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 302612
- new version 3.6.1

* Fri Sep 21 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 296472
- update file list
- new version 3.6.0

* Sat Jul 28 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 275432
- br gnome-common (for upstream patch)
- br gettext-devel (for patch)
- add upstream patch to fix build
- new version 3.5.3

  + fwang <fwang>
    - update file list
    - disable warnings
    - drop req on gnome-keyring
    - br secret
    - bump br

* Wed Jun 27 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 264456
- br libpwquality
- br gnome-keyring-1
- new version 3.5.2

* Sat Apr 21 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 232399
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226676
- new version 3.4.0

* Mon Mar 05 2012 wally <wally> 3.3.93-1.mga2
+ Revision: 219217
- new version 3.3.93

* Thu Feb 23 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 213560
- new version

* Mon Feb 06 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 205522
- new version 3.3.91
- clean .spec a bit

* Sun Jan 22 2012 fwang <fwang> 3.3.90-3.mga2
+ Revision: 199526
- fix typo

* Sun Jan 22 2012 fwang <fwang> 3.3.90-2.mga2
+ Revision: 199517
- fix unexpanded macro
- drop old patch
- cleanup old staff
- update file list
- disable format error for now
- new version 3.3.90

* Sun Jul 10 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 121607
- new version 3.0.2

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 103295
- Fix buildrequires
- Add libunique3-devel as buildrequires
- Add gnome-common as buildrequires ( spturtle )
- Use %%configure2_5x
- New version 3.0.0

  + pterjan <pterjan>
    - Revert to 2.32.0, 2.32.1 needs new libnotify
    - Update to 2.32.1

* Sat Jan 15 2011 blino <blino> 2.32.0-1.mga1
+ Revision: 19022
- imported package gnome-disk-utility

